Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttribute.RadiusAttributeIpAddr

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<Integer>,Integer>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<Integer>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeInteger
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeIpAddr

Enclosing class:
  `RadiusAttribute<V>`

public static class RadiusAttribute.RadiusAttributeIpAddr extends RadiusAttribute.RadiusAttributeInteger

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `tag`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `data, info, length, value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RadiusAttributeIpAddr(int vendor, int type, int value)`
  ``
  `RadiusAttributeIpAddr(int vendor, int type, int tag, int value)`
  ``
  `RadiusAttributeIpAddr(RadiusAttributeInfo<Integer> info, int tag, int value)`
  `protected`
  `RadiusAttributeIpAddr(RadiusAttributeInfo<Integer> info, int tag, ByteBuffer data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadiusAttribute.RadiusAttributeIpAddr`
  `clone()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeInteger

  `getIntValue`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `equals, getTag, toString, toString, write`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `getData, getDataAsByteArray, getLength, getValue`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RadiusAttributeIpAddr

    protected RadiusAttributeIpAddr(RadiusAttributeInfo<Integer> info, int tag, ByteBuffer data)

  - ### RadiusAttributeIpAddr

    public RadiusAttributeIpAddr(RadiusAttributeInfo<Integer> info, int tag, int value)

  - ### RadiusAttributeIpAddr

    public RadiusAttributeIpAddr(int vendor, int type, int value)

  - ### RadiusAttributeIpAddr

    public RadiusAttributeIpAddr(int vendor, int type, int tag, int value)

- ## Method Details

  - ### clone

    public RadiusAttribute.RadiusAttributeIpAddr clone()
    Overrides:
      `clone` in class `RadiusAttribute.RadiusAttributeInteger`